Removes the offer's promotion. Where an order or a push gave it already, it runs to its end date.
DELETE
/api/v1/provision/admin/entitlements/offers/{offerId}/promotion
const url = 'https://example.com/api/v1/provision/admin/entitlements/offers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/promotion';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/provision/admin/entitlements/offers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/promotionParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”offerId
required
string format: uuid
The offer.
Responses
Section titled “Responses”No Content
Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}